Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 19-06-2018 16:48:22

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

Juste une question avant de me lancer :
Pourquoi moi j'avais

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main
 


au lieu de

deb http://deb.debian.org/debian/ stable main contrib non-free


Ce ne pose pas de problème ?

Hors ligne

#27 19-06-2018 17:02:47

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

ben "stable" et "stretch" , pour l'instant c'est pareil .

ta distribution fait partie de la branche dite "stable" et son nom de code , pour l'instant , c'est "stretch"

la prochaine stable , actuellement en test (branche "testing")  , c'est "buster" qui viendra , dans deux ans environ , remplacer "stretch" .

à ce moment là , "stretch"  passera dans la branche dite "oldstable"  (ancienne stable , littéralement ) et "buster" viendra  la remplacer .

à noter qu'il existe actuellement , une très vieille branche : old old stable  (très vieille stable) occupée par wheezy , je crois (pas sûr , du coup . à confirmer)

tu entendras parler de  sid (unstable : instable) et de expérimental : ce sont , pour la pluspart  , des préversions de distributions (sid) ou de paquets (expérimental) ,

souvent pas encore débuggées  ni rodées , donc pas prêtes du tout pour le service  . réservé aux très grands connaisseurs .


si tu gardes le nom "stretch" , au passage à buster , tu restera en "stretch" , tu deviendra , de facto , old stable .

si tu mets  le nom "stable" , le moment venu , tu passera à buster . presque sans t'en rendre compte .

sauf pour les backports , qui sont spécifiques à une distribution ; vu que c'est , en fait  , des programmes de testing qui descendent dans stable .

au départ , le plus gros ayant été fait pour la distribution stable , backports ne sert quasiment à rien , il est presque vide .

pour ton sources.list , perso , je préfère mettre tous les dépôts (main contrib non-free) pour éviter les soucis de mises à jour incomplètes ou vieilles .

Dernière modification par Debian Alain (19-06-2018 17:13:30)


1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#28 19-06-2018 17:15:27

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

Bonjour,
En passant , le dépôt :

# stable proposed updates
deb http://deb.debian.org/debian/ stable-proposed-updates main contrib non-free


est à manier avec précaution

Stabilité

Déclaration officielle : tel que mentionné plus haut, les paquets dans stable-proposed-updates ne font pas encore officiellement partie intégrante de Debian « stable » et par conséquent ne doivent pas être considérés comme ayant (pour le moment !) la même qualité et stabilité. Ces nouvelles versions de paquet doivent être révisées (par le responsable de publication de « stable ») et testées (par quelques utilisateurs) avant de pouvoir entrer dans la version « stable ».

Déclaration non officielle : cependant, la qualité est habituellement très bonne (on pourrait les considérer de plus haute qualité que Debian « « testing », Backports… ). Vous êtes les bienvenus pour tester ces mises à jours si vous pouvez récupérer des problèmes mineurs (mais ne testez pas sur des serveurs en production ;-).


Je me souviens d'un problème sur un fil dans l'ancien forum de Handylinux

Edit : la question pour savoir s'il faut mettre stable ou stretch est judicieuse. Je te conseille de mettre stretch et non stable car ainsi quand Buster sortira, tu ne migreras pas "de force" sur lui dès sa sortie. ça laisse le temps de le faire après, quand les quelques corrections de départ sont faites, en remplaçant stretch par buster (ou en réinstallant tout)


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#29 19-06-2018 17:30:48

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

par contre dans tes dépôts , il faut que tu choisisses si tu veux mettre :

deb http://ftp.fr.debian.org/...


ou

deb http://deb.debian.org/...



ça revient au même mais le fonctionnement est légèrement différent selon l'un ou l'autre .


1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#30 19-06-2018 17:55:16

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

D'un autre côté, il était bon son sources.list de départ posté #15 non ?
Il n'a pas désactivé les sources mais ça n'a pas d'importance
Je lui aurais juste fait harmoniser sur les dépôts avec main contrib free et encore c'est juste pour harmoniser.


deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main non-free
 


deb http://ftp.fr.debian.org/...


il me semble que c'est le choix par défaut quand on installe Debian (en choisissant fr pour la langue)
Je ne comprends pas ce que ça peut résoudre. Chez moi le lien https://pypi.org/ fonctionne avec firefox-esr sur stretch scratchhead.gif


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#31 19-06-2018 18:09:31

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

salut chalu ,  big_smile

j'avais espéré qu'avec un bon sources.list , roll

il puisse enfin installer firefox dernière version , et tongue

par là même , réussir à accéder à https://pypi.org/ lol

mais j'y suis pas arrivé .  sad

1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#32 19-06-2018 18:11:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

pas de firefox 60 dans stable et comme indiqué par Croutons et d'autres, firefox-esr ouvre la page donc le "blocage" page blanche vient d'autre chose sans doute que la version.

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#33 19-06-2018 19:04:05

mick621
Membre
Lieu : Din"chnord et ty ?
Distrib. : Debian tout neuf (9.4)
Noyau : 4.9.0.6-amd64
(G)UI : cynemon un truc comme ça
Inscription : 20-03-2013
Site Web

Re : Connaître version TLS

Regarde sur cette page (3 réponses).
Le certificat doit être(et meme recommander par mesure de sécurité), pour le domaine en https://www.pypi.org & en http://pypi.org (Croutons l'avait signalé en premiere page post6).

Le plus simple serait d'obtenir un certificat valide pour les deux domain.com et www.domain.com. Cela peut être fait en utilisant un seul certificat avec plusieurs entrées de nom alternatif. La plupart des autorités de certification devraient être en mesure de délivrer de tels certificats. Certains le font sans frais supplémentaires.


Apres au pire, il reste la solution avec le fichier .htaccess

Re-édite oups j'ai cru que c'etais ton site guilhelma ops.gif
Supprimes les cookies du site pypi.org, et certificat afin de ré-avoir les nouveaux avec ton FF nouvellement installé

Dernière modification par mick621 (19-06-2018 19:27:48)


¯\_(ツ)_/¯

Hors ligne

#34 19-06-2018 19:36:59

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

en désespoir de cause , je peux peut être lui proposer cela : https://support.mozilla.org/fr/kb/diagn … es-firefox

mais bon , si ça vient pas  de firefox , ça lui servira à rien .

j'ai un peu fouillé , j'ai trouvé ceci :

https://fr.wikipedia.org/wiki/Aide:Bloc … dresses_IP

https://buzut.fr/web-censure-blocage-contournement/

donc , en somme , si je comprends bien , sorti d'un VPN , d'un Proxy SOCKS ou de TOR , il n'y a pas moyen pour lui de débloquer son site ...

VPN s :

https://fr.vpnmentor.com/blog/top-des-s … -gratuits/

https://www.cnet.com/best-vpn-services-directory/

Proxies socks :

https://www.socks-proxy.net/

http://spys.one/en/socks-proxy-list/

1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#35 19-06-2018 20:09:44

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

Je ne vois pas pourquoi il ne pourrait consulter ce site https://pypi.org/ alors que nous y arrivons et effectivement ce n’est pas le sien d’après le post #1
Peut être que dans un terminal on aurait des infos

firefox -safe-mode https://pypi.org/


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#36 20-06-2018 09:37:32

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Connaître version TLS

Salut
Le certificat de la page débute le 28/03/2018 (clique droite -->Information sur la page ...afficher le certificat)
Peut être ton certificat n'est pas à jour?

Sinon je suis pas trop fan du nouveau sources liste mélange stable et Stretch
quand Buster va passer en Stable ça va être un joyeux fouillis non?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#37 22-06-2018 16:37:39

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

Malgré les modifs de mon sources.list ça ne marchait pas. J'ai trouvé une solution (si on peut dire !) en passant par un proxy.

Hors ligne

#38 22-06-2018 16:48:29

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

La modif de sources.list n'a pas marché. J'ai réussi à aller sur le site en utilisant un proxy. Pour l'instant je vais me débrouiller comme ça. J'avais aussi fait un essai en navigation privée sur firefox et un essai avec Opéra mais ça ne marchait pas.
Merci beaucoup pour votre aide.

Hors ligne

#39 22-06-2018 17:39:08

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

guilhelma a écrit :

La modif de sources.list n'a pas marché.


ce n'est pas surprenant, voir les messages plus haut.
C'est quand même étonnant, on consulte ce site sans problème scratchhead.gif
La commande ci-dessous n'avait rien donné ? pas de message ?

firefox -safe-mode https://pypi.org/


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#40 22-06-2018 18:11:23

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Connaître version TLS

Tu peux donner le retour avec "curl https://pypi.org/" ?

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#41 23-06-2018 15:24:24

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

curl: (35) Unknown SSL protocol error in connection to pypi.org:443

Hors ligne

#42 24-06-2018 09:09:54

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

J'ai oublié de dire que avec la commande firefox -safe-mode https://pypi.org/ j'avais aussi une page blanche

Hors ligne

#43 24-06-2018 10:04:48

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

Et pas de message dans le terminal ?

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#44 24-06-2018 10:09:23

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Connaître version TLS

Bonjour
comme le #2  , tout fonctionne sur Buster => www.pypi.org/


dpkg -l |grep firefox
 



ii  firefox-esr                           52.8.1esr-2                    amd64        Mozilla Firefox web browser - Extended Support Release (ESR)
ii  firefox-esr-l10n-fr                   52.8.1esr-2                    all          French language package for Firefox ESR
 



purger firefox-ESR et nettoyer le /home et le réinstaller

dans firefox => edition => préférences => avancé => certificats => afficher les certificats

nota: par exemple celui de sid pose problème (du paquet "ca-certificates"


certificats CA courants
 
Ce paquet inclut les autorités de certifications livrées avec les
navigateurs Mozilla afin de permettre aux applications basées sur SSL de
vérifier l'authenticité des connexions SSL.

Veuillez noter que Debian ne peut ni confirmer ni infirmer que les
autorités de certifications dont les certificats se trouvent dans ce paquet
ont été auditées pour vérifier la fiabilité et la conformité à la RFC 3647.
L'entière responsabilité de les évaluer appartient à l'administrateur
système local.
 



et aussi (du paquet ca-cert)


certificats racine CAcert.org
 
Ce paquet fournit les certificats (sous-)racine de CAcert.org au format
PEM. Les certificats racine permettent aux applications basées sur SSL de
vérifier l'authenticité des certificats émis par l'autorité CAcert.

CAcert est une autorité de certification communautaire émettant
gratuitement des certificats pour le public.

Le but de CAcert est de promouvoir la connaissance et l'éducation de la
sécurité informatique à travers l'utilisation du chiffrement, en
particulier en fournissant des certificats cryptographiques. Ces
certificats peuvent être utilisés pour signer numériquement et chiffrer des
courriels, authentifier et autoriser des utilisateurs à se connecter à des
sites web et transmettre des données sur Internet en sécurité. Toute
application prenant en charge le protocole « Secure Socket Layer » (SSL ou
TLS) peut utiliser les certificats signés par CAcert, de même que les
applications utilisant les certificats X.509, par exemple pour le
chiffrement ou la signature de code ou de document.

Note : CAcert ne respecte pas encore la RFC 3647 et des standards similaires.
 



comme ça fonctionne pour tout le monde , tu a fait certainement quelque chose qui ne fallait pas faire

un exemple pour sid


Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité serious sur ca-certificates (20170717 → 20180409) <En attente de traitement>
 b1 - #895482 - Fails to upgrade: installed ca-certificates package post-installation script subprocess returned error exit status 4
Résumé :
 ca-certificates(1 bogue)
Êtes-vous certain(e) de vouloir installer/mettre à jour les paquets ci-dessus ? [Y/n/?/...]N
 

Dernière modification par robert2a (24-06-2018 10:30:07)

Hors ligne

#45 24-06-2018 10:13:05

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

bonjour , big_smile

supprimme firefox (apt remove --purge)

supprimme le dossier caché de .moziilla dans ton home (rm -Rf .mozilla/)

réinstalle firefox (apt install --reinstall ),

pour voir .

Dernière modification par Debian Alain (24-06-2018 10:25:00)


1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#46 24-06-2018 10:43:18

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Connaître version TLS

tu aussi ceci : paquet "python3-certifi" installé chez moi


root certificates for validating SSL certs and verifying TLS hosts (python3)
 
Certifi is a carefully curated collection of Root Certificates for
 validating the trustworthiness of SSL certificates while verifying
the identity of TLS hosts. It has been extracted from the Requests
project.

The version of certifi in this Debian package is patched to return
the location of Debian-provided CA certificates, instead of those
packaged by upstream.

This is the python3 package.
 



idem pour python-certifi (pour python2)


root certificates for validating SSL certs and verifying TLS hosts
 
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying
the identity of TLS hosts. It has been extracted from the Requests
project.

The version of certifi in this Debian package is patched to return
the location of Debian-provided CA certificates, instead of those
packaged by upstream.
 



une recherche toute simple dans synaptic avec le mot "tls" roll

pour la version de TLS un barbu pourra te répondre , je n'ai que la version du paquet de debian pour buster (2018-1.18-3)

Dernière modification par robert2a (24-06-2018 10:53:52)

Hors ligne

#47 24-06-2018 14:45:09

guilhelma
Membre
Lieu : Aude
Distrib. : Strech 9.4
Noyau : 4.9.0-6-amd64
(G)UI : Xfce
Inscription : 08-03-2017

Re : Connaître version TLS

J'ai réinstallé Firefox après nettoyage comme vous l'avez proposé. Voilà la réponse à la commande  dpkg -l |grep firefox :
ii  firefox-esr                           52.8.1esr-1~deb9u1                amd64        Mozilla Firefox web browser - Extended Support Release (ESR)
J'ai fait afficher les certificats dans firefox, mais je ne comprends pas ce que je dois vérifier.
NB : j'ai vérifié que j'avais TLS 1.2, il n'y a pas qu'avec firefox que ça ne marche pas, c'est pareil avec Chromium et Opéra

Hors ligne

#48 24-06-2018 14:59:31

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Connaître version TLS

je sèche ...

râleur peut être ?

1498812139.jpg Celtic dueling violins
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#49 24-06-2018 16:56:22

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : Connaître version TLS

guilhelma a écrit :

J'ai réinstallé Firefox après nettoyage comme vous l'avez proposé.


et tu avais renommé ou supprimé le dossier caché .mozilla qui est dans ton home ?
Tu devrais tester à partir d'un Live DVD. ça vient peut-être de ta box, c'est bizarre que ça passe si tu utilises un proxi.


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#50 16-03-2019 00:13:19

Emilios
Membre
Lieu : Vernouillet
Inscription : 17-10-2016
Site Web

Re : Connaître version TLS

guilhelma a écrit :

Malgré les modifs de mon sources.list ça ne marchait pas. J'ai trouvé une solution (si on peut dire !) en passant par un proxy.



Pensez plutôt à un VPN costaud en évitant tout gratuit comme https://meilleurvpn.net/15636/vpn-gratuit/. Vous savez pour des connexions VPN sécurisées, les données sont chiffrées et encapsulées dans la même portion de la connexion ce que vous offre un VPN avec support 24/24 et pas de gratuit surtout.

Hors ligne

Pied de page des forums